# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dustdata"
version = "2.0.0-beta.6"
authors = ["Rustbase"]
build = "src/build.rs"
exclude = [
    "test_data/*",
    "README.md",
    "CONTRIBUTING.md",
    ".editorconfig",
    ".cargo/*",
]
description = "A data concurrency control storage engine to Rustbase"
homepage = "https://github.com/rustbase/dustdata"
readme = "README.md"
license = "MIT"
repository = "https://github.com/rustbase/dustdata"

[lib]
doctest = false

[dependencies.bincode]
version = "1.3.3"

[dependencies.bloomfilter]
version = "1.0"

[dependencies.crc32fast]
version = "1.4.2"

[dependencies.flate2]
version = "1.0"

[dependencies.fs2]
version = "0.4.3"

[dependencies.glob]
version = "0.3.1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[build-dependencies.hooky-rs]
version = "1.0.0"
